Name:		ignition-msgs
Version:	0.7.0
Release:	7%{?dist}
Summary:	Common messages for the ignition framework

# Bundled gtest and python helper scripts are licensed BSD, but not included in installation
# Installed files are Apache 2
License:	ASL 2.0
URL:		http://www.ignitionrobotics.org
Source0:	http://gazebosim.org/distributions/ign-msgs/releases/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	ignition-math-devel >= 3
BuildRequires:	protobuf-devel

%description
A standard set of message definitions, used by Ignition Transport, and
other applications.  Contains pre-compiled protobuf definitions of messages
for re-use by other libraries and applications.

%package devel
Summary: Development libraries and headers for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: ignition-math-devel
Requires: protobuf-devel

%description devel
%{summary}

%package doc
Summary: Development documentation for ignition-msgs
BuildArch: noarch

%description doc
Automatically generated API documentation for the ignition-msgs library

%prep
%setup -q

%build
mkdir build; cd build
export CXXFLAGS="%{optflags} -Wl,--as-needed"
%cmake ..
make %{?_smp_mflags}
make doc

%install
%make_install -C build
rm -fr %{buildroot}%{_prefix}/lib/ruby

%check
make -C build test

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING LICENSE
%doc AUTHORS NEWS README.md
%{_libdir}/*.so.*
%{_datadir}/ignition

%files devel
%{_libdir}/*.so
%{_includedir}/ignition
%{_libdir}/cmake/%{name}0
%{_libdir}/pkgconfig/*.pc

%files doc
%license COPYING LICENSE
%doc build/doxygen/html

%changelog
* Mon Aug 07 2017 Björn Esser <besser82@fedoraproject.org> - 0.7.0-7
- Rebuilt for AutoReq cmake-filesystem

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 13 2017 Orion Poplawski <orion@cora.nwra.com> - 0.7.0-4
- Rebuild for protobuf 3.3.1

* Tue Mar 28 2017 Rich Mattes <richmattes@gmail.com> - 0.7.0-3
- Add --as-needed link flags

* Sun Mar 05 2017 Rich Mattes <richmattes@gmail.com> - 0.7.0-2
- Create a separate -doc subpackage for documentation

* Sun Mar 05 2017 Rich Mattes <richmattes@gmail.com> - 0.7.0-1
- Update to release 0.7.0

* Mon Jan 09 2017 Rich Mattes <richmattes@gmail.com> - 0.6.1-1
- Initial package
